xfs
[Top] [All Lists]

Re: [PATCH] xfsprogs: fix the -V option for various shell scripts

To: Christoph Hellwig <hch@xxxxxxxxxxxxx>
Subject: Re: [PATCH] xfsprogs: fix the -V option for various shell scripts
From: Eric Sandeen <sandeen@xxxxxxxxxxx>
Date: Wed, 09 Sep 2009 12:04:10 -0500
Cc: xfs@xxxxxxxxxxx, Michael Monnerie <michael.monnerie@xxxxxxxxxxxxxxxxxxx>
In-reply-to: <20090902174451.GB9759@xxxxxxxxxxxxx>
References: <20090902174451.GB9759@xxxxxxxxxxxxx>
User-agent: Thunderbird 2.0.0.23 (Macintosh/20090812)
Christoph Hellwig wrote:
For most of the shellscripts wrapping xfs_db or xfs_growfs the -V option
is not implemented correctly.  If we just add -V to the options for the
underlying binaries we will never actually call it because the mandatory
device / mount point argument is missing.  Instead just call the underlying
command with -V directly and exit early.  This is what xfs_bmap.sh,
xfs_mkfile and xfs_metadump.sh are already doing.


Signed-off-by: Christoph Hellwig <hch@xxxxxx>
Reported-by: Michael Monnerie <michael.monnerie@xxxxxxxxxxxxxxxxxxx>

Reviewed-by: Eric Sandeen <sandeen@xxxxxxxxxxx>

Index: xfsprogs-dev/db/xfs_admin.sh
===================================================================
--- xfsprogs-dev.orig/db/xfs_admin.sh   2009-09-02 14:36:22.045272960 -0300
+++ xfsprogs-dev/db/xfs_admin.sh        2009-09-02 14:38:28.497305969 -0300
@@ -19,7 +19,10 @@ do
        L)      DB_OPTS=$DB_OPTS" -c 'label "$OPTARG"'";;
        u)      DB_OPTS=$DB_OPTS" -r -c uuid";;
        U)      DB_OPTS=$DB_OPTS" -c 'uuid "$OPTARG"'";;
-       V)      DB_OPTS=$DB_OPTS" -V";;
+       V)      xfs_db -p xfs_admin -V
+               status=$?
+               exit $status
+               ;;
        \?)     echo $USAGE 1>&2
                exit 2
                ;;
Index: xfsprogs-dev/db/xfs_check.sh
===================================================================
--- xfsprogs-dev.orig/db/xfs_check.sh   2009-09-02 14:36:22.069271261 -0300
+++ xfsprogs-dev/db/xfs_check.sh        2009-09-02 14:38:28.501271696 -0300
@@ -13,11 +13,14 @@ do
        s)      OPTS=$OPTS"-s ";;
        t)      OPTS=$OPTS"-t ";;
        v)      OPTS=$OPTS"-v ";;
-       V)      OPTS=$OPTS"-V ";;
        i)      OPTS=$OPTS"-i "$OPTARG" ";;
        b)      OPTS=$OPTS"-b "$OPTARG" ";;
        f)      DBOPTS=$DBOPTS" -f";;
        l)      DBOPTS=$DBOPTS" -l "$OPTARG" ";;
+       V)      xfs_db -p xfs_check -V
+               status=$?
+               exit $status
+               ;;
        \?)     echo $USAGE 1>&2
                exit 2
                ;;
Index: xfsprogs-dev/db/xfs_ncheck.sh
===================================================================
--- xfsprogs-dev.orig/db/xfs_ncheck.sh  2009-09-02 14:36:22.089271988 -0300
+++ xfsprogs-dev/db/xfs_ncheck.sh       2009-09-02 14:38:28.501271696 -0300
@@ -14,9 +14,12 @@ do
        s)      OPTS=$OPTS"-s ";;
        i)      OPTS=$OPTS"-i "$OPTARG" ";;
        v)      OPTS=$OPTS"-v ";;
-       V)      OPTS=$OPTS"-V ";;
        f)      DBOPTS=$DBOPTS" -f";;
        l)      DBOPTS=$DBOPTS" -l "$OPTARG" ";;
+       V)      xfs_db -p xfs_ncheck -V
+               status=$?
+               exit $status
+               ;;
        \?)     echo $USAGE 1>&2
                exit 2
                ;;
Index: xfsprogs-dev/growfs/xfs_info.sh
===================================================================
--- xfsprogs-dev.orig/growfs/xfs_info.sh        2009-09-02 14:36:22.101270370 
-0300
+++ xfsprogs-dev/growfs/xfs_info.sh     2009-09-02 14:38:28.505312364 -0300
@@ -10,7 +10,10 @@ while getopts "t:V" c
 do
        case $c in
        t)      OPTS="-t $OPTARG" ;;
-       V)      OPTS="-V $OPTARG" ;;
+       V)      xfs_growfs -p xfs_info -V
+               status=$?
+               exit $status
+               ;;
        *)      echo $USAGE 1>&2
                exit 2
                ;;

_______________________________________________
xfs mailing list
xfs@xxxxxxxxxxx
http://oss.sgi.com/mailman/listinfo/xfs


<Prev in Thread] Current Thread [Next in Thread>